Trifaco API
Certificados

Consultar verificación de certificado

GET/v1/certificates/{id}

Estado: implementada. Ambientes: simulation, qualification. Permisos: certificates:read.

Alcance: Devuelve metadatos del certificado y su ETag; no expone material privado.

Consultar verificación de certificado

Authorization

ClientApiKey
X-API-Key<token>

Secreto ligado a empresa, actor, permisos y ambiente. No admite cambiar empresa por body/header.

In: header

Path Parameters

id*string

Identificador opaco. No autoriza acceso por sí mismo.

Formatuuid
Length1 <= length <= 36

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/certificates/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "label": "string",  "status": "checking",  "authorization_id": "be63c26c-03c0-4635-ae2b-58f14bd033f9",  "fingerprint_sha256": "string",  "subject": "string",  "issuer": "string",  "valid_from": "2019-08-24T14:15:22Z",  "valid_until": "2019-08-24T14:15:22Z",  "verification": {    "status": "passed",    "checked_at": "2019-08-24T14:15:22Z",    "policy_version": "local-pfx-rsa-crl-v1",    "reason_codes": [      "string"    ],    "checks": {      "pfx": "passed",      "key_pair": "passed",      "validity": "passed",      "key_usage": "passed",      "chain": "passed",      "revocation": "passed"    },    "recheck_at": "2019-08-24T14:15:22Z",    "trust_sha256": "string",    "crl_sha256": "string"  },  "version": 1,  "created_at": "2019-08-24T14:15:22Z"}